<?php
define('EmpireCMSAdmin','1');
require("../class/connect.php");
require("../class/db_sql.php");
require("../class/functions.php");
require("../class/dpfun.php");
require LoadLang("pub/fun.php");
require("../class/delpath.php");
require("../class/copypath.php");
require("../class/t_functions.php");
require("../data/dbcache/class.php");
require("../data/dbcache/MemberLevel.php");
$link=db_connect();
$empire=new mysqlquery();
$enews=$_POST['enews'];
if(empty($enews))
{
	$enews=$_GET['enews'];
}
//验证用户
$lur=is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=$lur['groupid'];
$loginadminstyleid=$lur['adminstyleid'];
$incftp=0;
if($public_r['phpmode'])
{
	include("../class/ftp.php");
	$incftp=1;
}
require("../class/classfun.php");
if($enews=="AddClass")//增加栏目
{
	AddClass($_POST,$logininid,$loginin);
}
elseif($enews=="EditClass")//修改栏目
{
	EditClass($_POST,$logininid,$loginin);
}
elseif($enews=="DelClass")//删除栏目
{
	$classid=$_GET['classid'];
	DelClass($classid,$logininid,$loginin);
}
elseif($enews=="EditClassOrder")//修改栏目顺序
{
	$classid=$_POST['classid'];
	$myorder=$_POST['myorder'];
	EditClassOrder($classid,$myorder,$logininid,$loginin);
}
elseif($enews=="SetMoreClass")//批量设置栏目
{
	SetMoreClass($_POST,$logininid,$loginin);
}
elseif($enews=="DelFcListClass")
{
	GetClass();
	printerror("DelListEnewsSuccess","history.go(-1)");
}
elseif($enews=="ChangeSonclass")
{
	GetClass();
	printerror("ChangeSonclassSuccess","history.go(-1)");
}
else
{
	printerror("ErrorUrl","history.go(-1)");
}
db_close();
$empire=null;
?>